using System;
using System.Collections.Generic;
using System.Linq;


namespace ConsoleApp20
{
    class Program
    {


        
        
            static void Main(string[] args)
            {
               
               string c = Console.ReadLine();

              var a=Console.ReadLine().Split();
              
                int a1 = int.Parse(a[0]);
               int a2 = int.Parse(a[1]);
                if (Math.Abs(a1 - a2) <= 1)
                 {
                   if(a1>a2)
                    {
                     Console.Write(c[0]);
                        for(int i=0;i<a2;i++)
                       {
                             Console.Write(c[1]);
                           Console.Write(c[0]);
                        }
                      }
                     else
                   { 
                        if (a2 > a1)
                     {
                           Console.Write(c[1]);
                          for (int i = 0; i < a1; i++)
                          {
                               Console.Write(c[0]);
                               Console.Write(c[1]);
                          }
                     }
                       else
                        {
                        for (int i = 0; i < a2; i++)
                        {
                            Console.Write(c[1]);
                            Console.Write(c[0]);
                        }
                    }

                    }
                 }
               else
               {
                Console.WriteLine("nemoguce");
            }







                
               
            }

        }
    }